/**
 * Misc JavaScript functions.
 */
var installIntIds  = [];

function FiservAddMultiOption(first) {
    var RESELLER = $("#RESELLER").val(); 
    if (first) {
        $('#Fiserv_multi_options_btn').hide();
        $('#Fiserv_multi_options_table').show();
    }

    var timestamp = new Date().getTime();

    var rowTpl = $('#Fiserv_multi_row_option').html();
    rowTpl = rowTpl.replace(/Fiserv_MULTI_KEY/g, '' + timestamp);
	if ($('#Fiserv_multi_options_table tbody tr').length <= 6) {	
		$(rowTpl).insertBefore('#Fiserv_multi_option_add');
	}
	if ($('#Fiserv_multi_options_table tbody tr').length == 6) {	
        $('#Fiserv_multi_option_add').hide(100);
	} 
	if (RESELLER == 'Fiservmexico') {
	    $(".no_period").show();
	} else {
		$(".no_period").hide();	
	}		
	checkBoxIstallm();
	if ($("#COUNTRY").val()=='mex') {	
		$(".mxInstallInt").show();
	}else{
		$(".mxInstallInt").hide();
	}

	installIntIds.push(timestamp);


}

function FiservDeleteMultiOption(key) {

	$('#INS_MULTI_OPTIONS_'+key+'_min_amount').val('');
	$('#INS_MULTI_OPTIONS_'+key+'_max_amount').val('');
	$('#INS_MULTI_OPTIONS_'+key+'_count').val('');
	$('#INS_MULTI_OPTIONS_'+key+'_period').val('');
	$("[name='INS_MULTI_OPTIONS["+key+"][label]["+id_language+"]']").val("");
	$('#INS_MULTI_OPTIONS_'+key+'_label_'+id_language).val('');
	$('#INS_MULTI_OPTIONS_'+key+'_installInt').attr('checked', false);

   // $('#Fiserv_multi_option_' + key).remove();
    if ($('#Fiserv_multi_options_table tbody tr').length == 1) {
        $('#Fiserv_multi_options_btn').show();
		$('#Fiserv_multi_options_table').hide();

	}
	
	
}

function FiservDeleteOneyOption(key) {
    $('#Fiserv_multi_option_' + key).remove();

    if ($('#Fiserv_multi_options_table tbody tr').length == 1) {
		$('#Fiserv_multi_options_table').hide();
		$('#INSTALMENT_ENABLED option[value="no"]').attr("selected", "selected");

    }
	if ($('#Fiserv_multi_options_table tbody tr').length <= 6) {	
		$('#Fiserv_multi_option_add').show(100);

	}

}

function FiservHideOtherLanguage(id, name) {
    $('.translatable-field').hide();
    $('.lang-' + id).css('display', 'inline');

    $('.translation-btn button span').text(name);

    var id_old_language = id_language;
    id_language = id;

    if (id_old_language != id) {
        changeEmployeeLanguage();
    }
}

function isNumberKey(evt){
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57))
        return false;
    return true;
}

function loadFunctions() { 

		checkBoxIstallm();

		if ($("#COUNTRY").val()=='mex') {	
			$(".mxInstallInt").show();
		}else{
			$(".mxInstallInt").hide();
		}
		translate();
		installIntIds = [];
}

function checkBoxIstallm() {
		$('.installInt').change(function() {
			if($(this).attr('checked')){
				$(this).val('yes');
		}else{
				$(this).val('no');
		}
		});
}

function loadLogos(defLg){
	var lng = "in";

	if ($("#COUNTRY").val()=='mex'||$("#COUNTRY").val()=='pan') {	
		lng="es";
	
	}
	if ($("#RESELLER").val()=="")
		return;
		
	var logoOptions = featuresSettings[$("#COUNTRY").val()][$("#RESELLER").val()].logo;
	
	if(logoOptions.length>1){

			$("#PAYMENT_LOGO").empty();
			for (i=0;i<logoOptions.length;i++){

						var o = new Option(logoOptions[i].DESCRIPTION,logoOptions[i].LOGO_PATH);
						$(o).html(lbl[logoOptions[i].DESCRIPTION][lng]);
						$("#PAYMENT_LOGO").append(o);
			}
			
			$('#PAYMENT_LOGO').on('change', function() {

						jQuery("#fd-plugin-logo").attr("src",this.value);  
						jQuery("#PLUGIN_LOGO").attr("value",this.value);  
	
			});

			
		  if(defLg!=null){
			$('#PAYMENT_LOGO option[value="'+defLg+'"]').attr("selected", "selected");
			jQuery("#fd-plugin-logo").attr("src",defLg);  
			jQuery("#PLUGIN_LOGO").attr("value",defLg);  
		  }
	


		  jQuery('#PAYMENT_LOGO').show();
		  jQuery('#LBL_PAYMENT_LOGO').show();
	}else{
		  jQuery('#PAYMENT_LOGO').hide();
		   jQuery('#LBL_PAYMENT_LOGO').hide();		
			
	}


}
window.addEventListener('load', (event) => {
	
	loadFunctions();
	
});
