<script type="text/javascript">
  $(function() {
    $('#accordion').accordion({
      active: false,
      collapsible: false,
      autoHeight: false,
      heightStyle: 'content',
      header: 'h4',
      animated: false
    });
  }); 
</script>
<form enctype="multipart/form-data" method="POST" action="{$ipg_request_uri|escape:'html':'UTF-8'}" class="defaultForm form-horizontal" >
   <input type="hidden" name="IPG_API_URL" id="IPG_API_URL" value="">
  <br /><br />
  <div id="accordion" style="width: 100%; ">
    <h4 style="font-weight: bold; margin-bottom: 0; overflow: hidden; line-height: unset !important;">
      <a href="#" id="LBL_GENERAL_CONFIGURATION" >{l s='GENERAL CONFIGURATION' mod='Fiserv' d='fiservgtw.CONFIGURATION'}</a>
    </h4>
    <div>
      <fieldset>
        <legend id="LBL_SETTINGS">{l s='SETTINGS' mod='Fiserv' d='ES.SETTINGS'}</legend>
        <label for="COUNTRY" id="LBL_COUNTRY">{l s='Country / País' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="COUNTRY" name="COUNTRY" style="width:260px;" class="country" >
            {foreach from=$ipg_country_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $COUNTRY === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>


        <label for="RESELLER" id="LBL_RESELLER">{l s='Reseller' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="RESELLER" name="RESELLER" style="width:260px;" class="reseller">
            {foreach from=$ipg_reseller_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $RESELLER === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>		

		<label for="CONTACT_DETAILS" id="LBL_CONTACT_DETAILS">{l s='Contact Details' mod='Fiserv'}</label>
        <div class="margin-form">
		<div class="customer-details"><input type="hidden" name="CUSTOMER_DETAIL_TITLE"></div>
		<div id="fd-contact-detail-desc"><input type="hidden" name="CUSTOMER_DETAIL"></div>
		<div class="contact-support"><input type="hidden" name="CONTACT_SUPPORT_TITLE"></div>
		<div id="fd-contact-support-desc"><input type="hidden" name="CONTACT_SUPPORT"></div>
        </div>		
        <br/>
				
		<label for="PLUGIN_LOGO" id ="LBL_PLUGIN_LOGO"  >{l s='Plugin Logo' mod='Fiserv'}</label>
        <div class="margin-form">
          <input type="hidden" id="PLUGIN_LOGO" name="PLUGIN_LOGO" value="" size="39" >
          <img src="" id="fd-plugin-logo" style="width:250px"/> <input type="checkbox" name="LOGO_DISPLAY" id="LOGO_DISPLAY" value="yes" {if $LOGO_DISPLAY === 'yes'} checked="checked"{/if} >		  
        </div>
		
        <div class="margin-form">
          <input type="hidden" id="PLUGIN_NAME" name="PLUGIN_NAME" value="{$PLUGIN_NAME|escape:'html':'UTF-8'}" size="39">
        </div>

		<label for="PAYMENT_LOGO" id="LBL_PAYMENT_LOGO"  style="display:none"  >{l s='Change Logo' mod='Fiserv'}</label>
			<div class="margin-form">
				<select id="PAYMENT_LOGO" name="PAYMENT_LOGO" style="width:260px;display:none;" >
				</select>
			</div>

		<label for="PLUGIN_DESC" id = "LBL_PLUGIN_DESC">{l s='Plugin Description' mod='Fiserv'}</label>
        <div class="margin-form description">
		  		<textarea name="PLUGIN_DESC" id="PLUGIN_DESC" cols="37" rows="5" >
						{($PLUGIN_DESC)}
						</textarea>
				</div>

        <label for="ENV" id="LBL_ENV">{l s='Environment' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="ENV" name="ENV" style="width:260px;" onchange="changeEnv(this.value)">
            {foreach from=$ipg_mode_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $ENV === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>
        
        <div id="test_disp" style="display:none">				
			<label for="TEST_SHARED_SECERT" id ="LBL_TEST_SHARED_SECERT">{l s='Shared Secret' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="TEST_SHARED_SECERT" name="TEST_SHARED_SECERT" value="{$TEST_SHARED_SECERT|escape:'html':'UTF-8'}" size="39">
			</div>

			<label for="TEST_STORE_NAME" id="LBL_TEST_STORE_NAME">{l s='Store Name' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="TEST_STORE_NAME" name="TEST_STORE_NAME" value="{$TEST_STORE_NAME|escape:'html':'UTF-8'}" size="39">
			</div>

			<label for="TEST_SUCCESS_URL" id="LBL_TEST_SUCCESS_URL">{l s='Response Success URL' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="TEST_SUCCESS_URL" name="TEST_SUCCESS_URL" value="{$TEST_SUCCESS_URL|escape:'html':'UTF-8'}" size="39">
			</div>

			<label for="TEST_FAILURE_URL" id="LBL_TEST_FAILURE_URL">{l s='Response Failure URL' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="TEST_FAILURE_URL" name="TEST_FAILURE_URL" value="{$TEST_FAILURE_URL|escape:'html':'UTF-8'}" size="39">
			</div>
			
			<label for="TEST_NOTIFICATION_URL" id="LBL_TEST_NOTIFICATION_URL">{l s='Notification URL' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="TEST_NOTIFICATION_URL" name="TEST_NOTIFICATION_URL" value="{$TEST_NOTIFICATION_URL|escape:'html':'UTF-8'}" size="39">
			</div>		
        </div>
		
		<div id="prod_disp" style="display:none">
			<label for="PROD_SHARED_SECERT" id="LBL_PROD_SHARED_SECERT">{l s='Shared Secret' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="PROD_SHARED_SECERT" name="PROD_SHARED_SECERT" value="{$PROD_SHARED_SECERT|escape:'html':'UTF-8'}" size="39">
			</div>

			<label for="PROD_STORE_NAME" id="LBL_PROD_STORE_NAME">{l s='Store Name' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="PROD_STORE_NAME" name="PROD_STORE_NAME" value="{$PROD_STORE_NAME|escape:'html':'UTF-8'}" size="39">
			</div>

			<label for="PROD_SUCCESS_URL" id="LBL_PROD_SUCCESS_URL" >{l s='Response Success URL' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="PROD_SUCCESS_URL" name="PROD_SUCCESS_URL" value="{$PROD_SUCCESS_URL|escape:'html':'UTF-8'}" size="39">
			</div>
			
			<label for="PROD_FAILURE_URL"  id="LBL_PROD_FAILURE_URL">{l s='Response Failure URL' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="PROD_FAILURE_URL" name="PROD_FAILURE_URL" value="{$PROD_FAILURE_URL|escape:'html':'UTF-8'}" size="39">
			</div>
			
			<label for="PROD_NOTIFICATION_URL" id="LBL_PROD_NOTIFICATION_URL">{l s='Notification URL' mod='Fiserv'}</label>
			<div class="margin-form">
			  <input type="text" id="PROD_NOTIFICATION_URL" name="PROD_NOTIFICATION_URL" value="{$PROD_NOTIFICATION_URL|escape:'html':'UTF-8'}" size="39" >
			</div>			
		</div>

        <label for="AUTHORISATION" id="LBL_AUTHORISATION"  >{l s='Authorisation' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="AUTHORISATION" name="AUTHORISATION" style="width:260px;">
            {foreach from=$ipg_enable_disable_authorisation key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $AUTHORISATION === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>

        <label for="CHECKOUT_MODE" id = "LBL_CHECKOUT_MODE">{l s='Checkout Mode' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="CHECKOUT_MODE" name="CHECKOUT_MODE" style="width:260px;"  onChange="changeMode(this.value)">
            {foreach from=$ipg_checkout_mode_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $CHECKOUT_MODE === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>

        <label for="PAYMENT_MODE" id = "LBL_PAYMENT_MODE">{l s='Payment Mode' mod='Fiserv'}</label>
       
			  <div class="margin-form" id="DIV_PAYMENT_MODE">
          <select id="PAYMENT_MODE" name="PAYMENT_MODE" style="width:260px;">
            {foreach from=$ipg_payment_mode_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $PAYMENT_MODE === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>
		
        <div id="disp_token">
			<label for="TOKENISATION" id="LBL_TOKENISATION">{l s='Tokenisation' mod='Fiserv'}</label>
			<div class="margin-form">
			  <select id="TOKENISATION" name="TOKENISATION" style="width:260px;">
				{foreach from=$ipg_enable_disable_tokenisation key="key" item="option"}
				  <option value="{$key|escape:'html':'UTF-8'}"{if $TOKENISATION === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
				{/foreach}
			  </select>
			</div>
		</div>
		
		<div id="diplay_dd">
		<label for="DYNAMIN_DESC" id="LBL_DYNAMIN_DESC">{l s='Dynamic Descriptor' mod='Fiserv'}</label>
        <div class="margin-form">
          <input type="text" id="DYNAMIN_DESC" name="DYNAMIN_DESC" value="{$DYNAMIN_DESC|escape:'html':'UTF-8'}" size="39">
        </div>
		</div>

		<div id="diplay_3d">
        <label for="SECURE_PAY" id="LBL_SECURE_PAY">{l s='3D Secure' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="SECURE_PAY" name="SECURE_PAY" style="width:260px;">
            {foreach from=$ipg_secure_pay_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $SECURE_PAY === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>
		</div>

		<div id="diplay_dcc">
        <label for="DCC_SKIP_OFFER" id="LBL_DCC_SKIP_OFFER" >{l s='Dynamic Currency Conversion' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="DCC_SKIP_OFFER" name="DCC_SKIP_OFFER" style="width:260px;">
            {foreach from=$ipg_enable_disable_dcc key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $DCC_SKIP_OFFER === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>
        </div>

        <label for="AUTH_METHOD" id="LBL_AUTH_METHOD" >{l s='Authorisation Method' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="AUTH_METHOD" name="AUTH_METHOD" style="width:260px;">
            {foreach from=$ipg_auth_method_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $AUTH_METHOD === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
        </div>
		
        <label for="LOGS"  id="LBL_LOGS">{l s='Logs' mod='Fiserv'}</label>
        <div class="margin-form">
          <select id="LOGS" name="LOGS" style="width:260px;">
            {foreach from=$ipg_enable_disable_options key="key" item="option"}
              <option value="{$key|escape:'html':'UTF-8'}"{if $LOGS === $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
            {/foreach}
          </select>
		  
				 <p  id="LBL_PAYMENT_EVENT">{l s='Log Payment events, inside 	'}</p><b>{$logs_dir_path}</b>
        
				
				</div>		
		
      </fieldset>

      <div class="clear">&nbsp;</div>
      <fieldset {if ($INSTALMENT_ENABLED === "no")} style="display: none;"{/if} id="disp_insalment_payment">
        <legend id="LBL_INSTALMENT_PAYMENT_OPTIONS">{l s='INSTALLMENT PAYMENT OPTIONS' mod='Fiserv'}</legend>

        <label for="INSTALMENT_ENABLED" id="LBL_INSTALMENT_ENABLED">{l s='installment Activation' mod='Fiserv'}</label>


        <div class="margin-form">
							<select id="INSTALMENT_ENABLED" name="INSTALMENT_ENABLED"  style="width:260px;" Onchange="changeInsPayment(this.value);">
								{foreach from=$ipg_ins_enable_disable_options key="key" item="option"}
									<option value="{$key|escape:'html':'UTF-8'}" {if $INSTALMENT_ENABLED == $key} selected="selected"{/if}>{$option|escape:'html':'UTF-8'}</option>
								{/foreach}
							</select>
				
						<!-- <input type="hidden" name="INSTALMENT_ENABLED" value="no"> 
						<input type="checkbox" name="INSTALMENT_ENABLED" id="INSTALMENT_ENABLED" value="yes" {if $ins_enb === $key} checked="checked"{/if} >
							<p>{l s='Enables / disables installment payment.' mod='Fiserv'}</p>-->
        </div>

       <!-- <label for="INS_INT_MEXICO" id="LBL_INS_INT_MEXICO">{l s='Instalments Interest For Mexico' mod='Fiserv'}</label>
        <div class="margin-form" id="disp_iim">

		  		<input type="hidden" name="INS_INT_MEXICO" value="no"> <input type="checkbox" name="INS_INT_MEXICO" id="INS_INT_MEXICO" value="yes" {if $INS_INT_MEXICO === $key} checked="checked"{/if} >
		  
          <p id="LBL_ENABLE_DISABLE_INSTALMENT">{l s='Enables / disables interest.' mod='Fiserv'}</p>
        </div>-->
		
        <label for="PAYMENT_OPTIONS" ID="LBL_PAYMENT_OPTIONS">{l s='Payment Options' mod='Fiserv'}</label>
				<div class="margin-form" id="Fiserv_multi_options_table" {if ($INSTALMENT_ENABLED === "no")} style="display: none;"{/if}>
          <script type="text/html" id="Fiserv_multi_row_option">
            {include file="./row_multi_option.tpl"
              languages=$prestashop_languages
              current_lang=$prestashop_lang
              key="Fiserv_MULTI_KEY"
              option=$ipg_default_multi_option
            }
          </script>

          <button type="button" id="Fiserv_multi_options_btn"{if empty($INS_MULTI_OPTIONS)} style="display: none;"{/if} onclick="javascript:FiservAddMultiOption(true, '{l s='Delete' mod='Fiserv'}');">{l s='LBL_ADD' mod='Fiserv'}</button>

          <table class="table" cellpadding="10" cellspacing="0">
          <thead>
            <tr>
              <th style="font-size: 10px;">
							
							<label  style="width:100px;  text-align: left;" for="LBL_INSTALLMENT_LABEL" id="LBL_INSTALLMENT_LABEL">{l s='Label' mod='Fiserv'}</label>

							</th>
              <th style="font-size: 10px;">
								<label  style="width:100px; text-align: left;" for="LBL_INSTALLMENT_MIN_AMOUNT" id="LBL_INSTALLMENT_MIN_AMOUNT">{l s='Min amount' mod='Fiserv'}</label>

							</th>
              <th style="font-size: 10px;">
								<label style="width:100px; text-align: left;" for="LBL_INSTALLMENT_MAX_AMOUNT" id="LBL_INSTALLMENT_MAX_AMOUNT">{l s='Max amount' mod='Fiserv'}</label>
							</th>
              <th style="font-size: 10px;">
								<label style="width:100px; text-align: left;" for="LBL_INSTALLMENT_COUNT" id="LBL_INSTALLMENT_COUNT">{l s='Count' mod='Fiserv'}</label>
							</th>
              <th style="font-size: 10px;" class="no_period">
							
							<label style="width:100px; text-align: left;" for="LBL_INSTALLMENT_PERIOD" id="LBL_INSTALLMENT_PERIOD">	{l s='Period' mod='Fiserv'}</label>

							
							</th>
							<th style="font-size: 10px; " class="mxInstallInt" {if $country!="mx"} style="display: none;" {/if} >						
								<label  style="width:100px; text-align: left;" for="LBL_INSTALLMENT_INTEREST" id="LBL_INSTALLMENT_INTEREST">{l s='Interest' mod='Fiserv'}</label>
							</th>
              <th style="font-size: 10px;"></th>
							<th style="font-size: 10px;"></th>
            </tr>
          </thead>

          <tbody>



            {foreach from=$INS_MULTI_OPTIONS key="key" item="option"}
              {include file="./row_multi_option.tpl"
                languages=$prestashop_languages
                current_lang=$prestashop_lang
                key=$key
                option=$option
              }
            {/foreach}




            <tr id="Fiserv_multi_option_add">
              
              <td colspan="11" style=" text-align: right;">
                <button  class="LBL_ADD" type="button" onclick="javascript:FiservAddMultiOption(true, '{l s='Delete' mod='Fiserv'}');">{l s='LBL_ADD' mod='Fiserv'}</button>
              </td>
            </tr>
          </tbody>
          </table>
          <p class="LBL_PAYMENT_OPTION_DESC"></p>
        </div>
		
      </fieldset>
      <div class="clear">&nbsp;</div>
	  
      <fieldset class="disp_lp">
        <legend ID="LBL_LOCAL_PAYMENT_METHOD_OPTIONS">{l s='Local Payment Method' mod='Fiserv'}</legend>
		
		<label for="LOCAL_PAYMENT" ID="LBL_LOCAL_PAYMENT">{l s='Local Payment Method' mod='Fiserv'}</label>
		<div class="margin-form">

		  <input type="hidden" name="LOCAL_PAYMENT" value="no" class="disp_loc_pay_method"> <input type="checkbox" name="LOCAL_PAYMENT" id="LOCAL_PAYMENT" value="yes" {if $LOCAL_PAYMENT === $key} checked="checked"{/if} class="disp_loc_pay_method">
		 
		  <p ID="LBL_ENABLE_DISABLE_LOCAL_PAYMENT" >
			{l s='Enable / Disable Local Payment Method for checkou' mod='Fiserv'}
			</p>

		</div>  

		<div class="disp_pay_method">
			<label for="PAYMENT_METHOD" ID="LBL_PAYMENT_METHOD" >{l s='Payment Method' mod='Fiserv'}</label>
			<div class="margin-form">
			  <select id="PAYMENT_METHOD" name="PAYMENT_METHOD[]" style="width:260px;" multiple="multiple" >
				
			  </select>
			  
			</div>	
		</div>	
		
      </fieldset>

      <fieldset>
		  <legend id="LBL_API_CREDENTIAL">{l s='API Credentials' mod='Fiserv'}</legend>
		  <p id="LBL_API_CREDENTIAL_DESC"> {l s='Enter your Fiserv API credentials to process different types of API transactions via Fiserv Payment Gateway.' mod='Fiserv'}</p>
		  <label for="IPG_API_USERNAME" ID="LBL_USERNAME">{l s='API Username' mod='Fiserv'}</label>
		  <div class="margin-form">
		    <input type="text" id="IPG_API_USERNAME" name="IPG_API_USERNAME" value="{$IPG_API_USERNAME|escape:'html':'UTF-8'}" size="39">
			<p class="LBL_API_CREDENTIALS">{l s='Get your API credentials from Fiserv.' mod='Fiserv'}</p>
		  </div>

		  <label for="IPG_API_PASSWORD" ID="LBL_PASS">{l s='API Password' mod='Fiserv'}</label>
		  <div class="margin-form">
		    <input type="text" id="IPG_API_PASSWORD" name="IPG_API_PASSWORD" value="{$IPG_API_PASSWORD|escape:'html':'UTF-8'}" size="39">
			<p class="LBL_API_CREDENTIALS">{l s='Get your API credentials from Fiserv.' mod='Fiserv'}</p>
		  </div>

		  <label for="IPG_API_CERTIFICATE_PASSWORD" id="LBL_IPG_API_CERTIFICATE_PASSWORD" >{l s='API Certificate Password' mod='Fiserv'}</label>
		  <div class="margin-form">
		    <input type="text" id="IPG_API_CERTIFICATE_PASSWORD" name="IPG_API_CERTIFICATE_PASSWORD" value="{$IPG_API_CERTIFICATE_PASSWORD|escape:'html':'UTF-8'}" size="39">
			<p class="LBL_API_CREDENTIALS">{l s='Get your API credentials from Fiserv.' mod='Fiserv'}</p>
		  </div>		  

		  <label for="IPG_API_SERVER_TRUST_PEM" id="LBL_IPG_API_SERVER_TRUST_PEM" >{l s='API Server Trust PEM' mod='Fiserv'}</label>
		  <div class="margin-form">
		    <input type="file" id="LBL_IPG_API_SERVER_TRUST_PEM" name="IPG_API_SERVER_TRUST_PEM" value="{$GET_IPG_API_SERVER_TRUST_PEM|escape:'html':'UTF-8'}" size="39">
			<p class="LBL_API_CREDENTIALS">{l s='Get your API credentials from Fiserv.' mod='Fiserv'}</p>
		  </div>

		  <label for="IPG_API_CERTIFICATE_PEM" id="LBL_IPG_API_CERTIFICATE_PEM" >{l s='API Certificate PEM' mod='Fiserv'}</label>
		  <div class="margin-form">
		    <input type="file" id="LBL_IPG_API_CERTIFICATE_PEM" name="IPG_API_CERTIFICATE_PEM" value="{$GET_IPG_API_CERTIFICATE_PEM|escape:'html':'UTF-8'}" size="39">
			<p class="LBL_API_CREDENTIALS">{l s='Get your API credentials from Fiserv.' mod='Fiserv'}</p>
		  </div>
		  
		  <label for="IPG_API_CERTIFICATE_KEY"  id="LBL_IPG_API_CERTIFICATE_KEY"  >{l s='API Certificate Key' mod='Fiserv'}</label>
		  <div class="margin-form">
		    <input type="file" id="IPG_API_CERTIFICATE_KEY" name="IPG_API_CERTIFICATE_KEY" value="{$GET_IPG_API_CERTIFICATE_KEY|escape:'html':'UTF-8'}" size="39">
			<p class="LBL_API_CREDENTIALS">{l s='Get your API credentials from Fiserv.' mod='Fiserv'}</p>
		  </div>		  
	  </fieldset>	  
    </div>
   </div>

  {if version_compare($smarty.const._PS_VERSION_, '1.6', '<')}
    <div class="clear" style="width: 100%;">
      <input type="submit" class="button" name="Fiserv_submit_admin_form" value="{l s='Save' mod='Fiserv'}" style="float: right;">
    </div>
  {else}
    <div class="panel-footer" style="width: 100%;">
      <button type="submit" value="1" name="Fiserv_submit_admin_form" class="btn btn-default pull-right" style="float: right !important;">
        <i class="process-icon-save"></i>
        {l s='Save' mod='Fiserv'}
      </button>
    </div>
  {/if}
</form>

<br />
<br />


 <script type="text/javascript">

	changeEnv('{$ENV}');
	changeMode('{$CHECKOUT_MODE}');  
	var countrySel = "{$country}";
	var sellerSel = "{$reseller}";
	var loc_pay_method = "{$loc_pay_method}";
	var localMethod = "{$local_payment}";	
	var ins_enb = "{$ins_enb}";
	var dcc_enb = "{$dcc_enb}";
	var secure_pay_enb = "{$secure_pay_enb}";
	var featuresSettings = {$features};
	var lbl = {$LABELS};

	if ($('#Fiserv_multi_options_table tbody tr').length >= 1) {
			$('#Fiserv_multi_options_btn').hide();
	}

 	jQuery(function() {
																																		
	
		var countrySelected = '';
		var resellerSelected = '';

		jQuery('.country').change('click',function() {

			var country = jQuery( this ).val();
			if (country==""){
					clearOpt();
					return;
			}
			if (country=='mex') {	
					$(".mxInstallInt").show();
			}else{
					$(".mxInstallInt").hide();
			}
			if(featuresSettings.hasOwnProperty(country)){
				countrySelected = featuresSettings[country];
				var sellerOptions = "";
					for(var prop in countrySelected) {
						var sellerDetails = countrySelected[prop];
						sellerOptions += "<option value='" + prop + "'>" + sellerDetails.reseller_name + "</option>";
					}
				jQuery('select[name="RESELLER"]').find('option').not(':first').remove();
				jQuery('select[name="RESELLER"]').append( sellerOptions );
			}
			
			translate();
			clearOpt();
			
		});
		
		jQuery('.reseller').change('click',function() {
			

			resellerSelected = jQuery( this ).val();
			
			if ((resellerSelected==null)||(resellerSelected=="")||$("#COUNTRY").val()==""){
				return;
			}


			var sellerDetails = countrySelected[resellerSelected];
			
			jQuery('.customer-details').html(sellerDetails.customer_detail_title);
			jQuery('#fd-contact-detail-desc').html(sellerDetails.customer_detail);
			jQuery('.contact-support').html(sellerDetails.contact_support_title);
			jQuery('#fd-contact-support-desc').html(sellerDetails.contact_support);

			if (sellerDetails.description!="")
				$('#PLUGIN_DESC').val(sellerDetails.description + " " + sellerDetails.reseller_name);
			else
				$('#PLUGIN_DESC').val("");
				
			jQuery('#PLUGIN_NAME').val(sellerDetails.plugin_name);
			jQuery("#fd-plugin-logo").attr("src",sellerDetails.logo[0].LOGO_PATH);  
			jQuery("#PLUGIN_LOGO").val(sellerDetails.logo[0].LOGO_PATH);	
			jQuery('#LOGO_DISPLAY').attr('checked', true); 	
			jQuery("#DCC_SKIP_OFFER").val(sellerDetails.dcc_skip_offer);
			jQuery("#SECURE_PAY").val(sellerDetails.secure_pay);
			jQuery("#INSTALMENT_ENABLED").val(sellerDetails.instalments);
			var environ = jQuery("#ENV").val();
			if (environ == 'TEST') {
				jQuery("#IPG_API_URL").val(sellerDetails.apiurl);
			} else {
				jQuery("#IPG_API_URL").val(sellerDetails.prodapiurl);
			}
			
			if (sellerDetails.dynamic_merchant_name == 'yes') {
				$("#diplay_dd").show();
			} else if (sellerDetails.dynamic_merchant_name == 'no') {
				$("#diplay_dd").hide();
			}					
			if (sellerDetails.dcc_skip_offer == 'yes') {
				$("#diplay_dcc").show();
			} else if (sellerDetails.dcc_skip_offer == 'no') {
				$("#diplay_dcc").hide();
			}	

			if (sellerDetails.instalments == 'yes') {
				$('#Fiserv_multi_options_table').show();
				$('#disp_insalment_payment').show();						
			} else if (sellerDetails.instalments == 'no') {
				$('#Fiserv_multi_options_table').hide();
				$('#disp_insalment_payment').hide();						
			}
							
			if (sellerDetails.secure_pay == 'yes') {
				var sec_pay = 'active';
				jQuery("#SECURE_PAY").val(sec_pay);
				$("#diplay_3d").show();
			} else if (sellerDetails.secure_pay == 'no') {
				var sec_pay = 'deactive';
				jQuery("#SECURE_PAY").val(sec_pay);
				$("#diplay_3d").hide();
				
			}					

			/* 
			 * Mexico Condition
			 */
			if(resellerSelected == "Fiservmexico"){
				$("#disp_iim").show();
				$("#LBL_INS_INT_MEXICO").show();																
				$(".no_period").show();
		

			}
			else{
				$("#disp_iim").hide();
				$("#LBL_INS_INT_MEXICO").hide();																
				$(".no_period").hide();
		

			}
		/*
			* End OF Mexico Condition
			*/

				var localPayment = sellerDetails.local_payment;
									if(localPayment.length != 0) {
											var localPaymentOptions = "";
											for (var paykey in localPayment) {
													if (localPayment.hasOwnProperty(paykey)) {
															localPaymentOptions += "<option value='" + paykey + "'>" + localPayment[paykey] + "</option>";
															jQuery('select[name="PAYMENT_METHOD[]"]').find('option').remove();
															jQuery('select[name="PAYMENT_METHOD[]"]').append( localPaymentOptions );
													}
											} 
											jQuery('.disp_lp').show();
									} else {	
						jQuery('select[name="PAYMENT_METHOD[]"]').find('option').remove();
											jQuery('.disp_lp').hide();
				}						


				loadLogos();


		});
		
				jQuery('.disp_loc_pay_method').change('click',function() {
                    if(jQuery(".disp_loc_pay_method").is(':checked')){ 
                        jQuery('.disp_pay_method').show();
                    } else {
                        jQuery('.disp_pay_method').hide();
                    }
                });
		 /*
         * Enable feature for reseller when loading page
         */

	
		var localPayment = '';

		if(featuresSettings.hasOwnProperty(countrySel)){

			countrySelected = featuresSettings[countrySel];

			var sellerOptions = "";
			for(var prop in countrySelected) {
				var sellerDetails = countrySelected[prop];

				if(prop === sellerSel){
					localPayment = sellerDetails.local_payment;				
					jQuery('.customer-details').html(sellerDetails.customer_detail_title);
					jQuery('#fd-contact-detail-desc').html(sellerDetails.customer_detail);
					jQuery('.contact-support').html(sellerDetails.contact_support_title);
					jQuery('#fd-contact-support-desc').html(sellerDetails.contact_support);
					jQuery("#fd-plugin-logo").attr("src",sellerDetails.logo[0].LOGO_PATH);
					jQuery("#PLUGIN_LOGO").val(sellerDetails.logo[0].LOGO_PATH);		
					jQuery("#DCC_SKIP_OFFER").val(dcc_enb);	
					jQuery("#INSTALMENT_ENABLED").val(ins_enb);					

					var environ = jQuery("#ENV").val();
					if (environ == 'TEST') {			
						jQuery("#IPG_API_URL").val(sellerDetails.apiurl);
					} else {
						jQuery("#IPG_API_URL").val(sellerDetails.prodapiurl);
					}					
					if (sellerDetails.dynamic_merchant_name == 'yes') {
						$("#diplay_dd").show();
					} else if (sellerDetails.dynamic_merchant_name == 'no') {
						$("#diplay_dd").hide();
					}
					if (sellerDetails.dcc_skip_offer == 'yes') {
						$("#diplay_dcc").show();
					} else if (sellerDetails.dcc_skip_offer == 'no') {
						$("#diplay_dcc").hide();
					}	
			
					if (sellerDetails.secure_pay == 'yes') {									
						$("#diplay_3d").show();
					} else if (sellerDetails.secure_pay == 'no') {
						var sec_pay = 'deactive';
						jQuery("#SECURE_PAY").val(sec_pay);
						$("#diplay_3d").hide();
						
					}	
					
					if (ins_enb == 'yes') {
						$('#Fiserv_multi_options_table').show(1000);
						$('#disp_insalment_payment').show(1000);
					} else if (ins_enb == 'no') {
						$('#Fiserv_multi_options_table').hide(1000);
						$('#disp_insalment_payment').hide(1000);						
					}									
					/* 
					 * Mexico Condition
					 */
					if(sellerSel == "Fiservmexico"){
						$("#disp_iim").show();
						$("#LBL_INS_INT_MEXICO").show();
						$(".no_period").show();
					}
					else{
						$("#disp_iim").hide();
						$("#LBL_INS_INT_MEXICO").hide();
						$(".no_period").hide();
					}
					/*
					 * End OF Mexico Condition
					 */
					localPayment = sellerDetails.local_payment;				

					if (sellerDetails.local_payment != '') {
                       jQuery('.disp_lp').show();
					} else {
                       jQuery('.disp_lp').hide();
					}
					
					if(typeof localPayment !== "undefined" || localPayment.length != 0) {
						var localPaymentOptions = "";
						var selectedLocalPay = loc_pay_method;

						for (var paykey in localPayment) {
							if (localPayment.hasOwnProperty(paykey)) {
								var sel = "";
								if( selectedLocalPay.indexOf(paykey) !='-1' ) {
									sel = ' selected="selected"';
								}
								localPaymentOptions += "<option"+ sel +" value='" + paykey + "'>" + localPayment[paykey] + "</option>";
								jQuery('select[name="PAYMENT_METHOD[]"]').find('option').remove();
								jQuery('select[name="PAYMENT_METHOD[]"]').append( localPaymentOptions );
							}
						}
					}										 

				
					if(localMethod == "yes"){
						jQuery('.disp_pay_method').show();
						jQuery("#LOCAL_PAYMENT").attr('checked', true);

					} else {
						jQuery('.disp_pay_method').hide();
					}		
							
				}
				sellerOptions += "<option value='" + prop + "'>" + sellerDetails.reseller_name + "</option>";
			}


			jQuery('select[name="RESELLER"]').find('option').not(':first').remove();
			jQuery('select[name="RESELLER"]').append( sellerOptions );
			jQuery('select[name="RESELLER"] option[value="'+sellerSel+'"]').attr("selected",true);

		}
		
		$('textarea').each(function(){
			$(this).val($(this).val().trim());
		});
	});

	function changeEnv(val) {
	  if (val == 'TEST') {
		  $('#test_disp').show();
		  $('#prod_disp').hide();
	  } else if (val == 'PRODUCTION') {
		  $('#test_disp').hide();
		  $('#prod_disp').show();
	  }
	}
	
	function changeInsPayment(val) {
	  if (val == 'yes') {
		 $('#Fiserv_multi_options_table').show();
	  } else {
		 $('#Fiserv_multi_options_table').hide();
	  }	  
	}
  

	function changeMode(val) {
	   if (val == 'combinedpage') {
		  $("#disp_token").hide();
  		$("#LBL_PAYMENT_MODE").hide();
			$("#DIV_PAYMENT_MODE").hide();

	   } else {
		  $("#disp_token").show();
			 $("#LBL_PAYMENT_MODE").show();
			$("#DIV_PAYMENT_MODE").show();
	   }
	} 	

	function translate(){
		
			var prf ="TEST_";
			var lng = "in";

			if ($("#ENV").val()=="PRODUCTION"){
				 prf ="PROD_";
			}
			if ($("#COUNTRY").val()=='mex'||$("#COUNTRY").val()=='pan') {	
				lng="es";
			}

			for (var key in lbl) {

				var lblname = "";

				if($("#LBL_"+key).length){
					lblname = "#LBL_"+key;
				}else{
					lblname = "#LBL_"+prf+key;	
				}
	
 				if ($(lblname).is( "label" )||$(lblname).is( "p" )){
						$(lblname).html(lbl[key][lng]);
				}else if ($("."+key).is( "button" )){
						$("."+key).text(lbl[key][lng]);
				}else if ($("."+key).is( "p" )){
						$("."+key).html(lbl[key][lng]);
				}

			}

			$("#AUTHORISATION > option").each(function() {
					$(this).text(get_label($(this).text(),lng));

			});
			
			$("#CHECKOUT_MODE > option").each(function() {
						$(this).text(get_label($(this).text(),lng));
			});
			
			$("#SECURE_PAY > option").each(function() {
						$(this).text(get_label($(this).text(),lng));

			});
			$("#LOGS > option").each(function() {
						$(this).text(get_label($(this).text(),lng));

			});

			$("#INSTALMENT_ENABLED > option").each(function() {
						$(this).text(get_label($(this).text(),lng));

			});

			$("#AUTH_METHOD > option").each(function() {

					$(this).text(get_label($(this).text(),lng));

			});
			
			
	}
  function get_label(lblIndx,lng){
			var opt = lbl[lblIndx.toUpperCase().split(' ').join('_')];

			if (opt!=null)
				return opt[lng].split('_').join(' ');


			return lblIndx;
	}


	function clearOpt(){
					jQuery('.contact-support').html('');
					$("#fd-contact-support-desc").html(''); 


					document.getElementById('ENV').selectedIndex=0;
			
					document.getElementById('AUTHORISATION').selectedIndex=0;
					document.getElementById('CHECKOUT_MODE').selectedIndex=0;
					document.getElementById('PAYMENT_MODE').selectedIndex=0;
					document.getElementById('TOKENISATION').selectedIndex=0;
					document.getElementById('SECURE_PAY').selectedIndex=0;
					document.getElementById('DCC_SKIP_OFFER').selectedIndex=0;
					document.getElementById('AUTH_METHOD').selectedIndex=0;
					document.getElementById('LOGS').selectedIndex=0;
					document.getElementById('INSTALMENT_ENABLED').selectedIndex=0;


					$("#LOGO_DISPLAY").prop("checked", false);
					$("#fd-plugin-logo").attr('src',''); 
					$("#PLUGIN_DESC").val(''); 
					$("#TEST_SHARED_SECERT").val(''); 
					$("#TEST_STORE_NAME").val(''); 
					$("#TEST_SUCCESS_URL").val(''); 
					$("#TEST_FAILURE_URL").val(''); 
					$("#TEST_NOTIFICATION_URL").val(''); 
					$("#TEST_FAILURE_URL").val(''); 
					$("#DYNAMIN_DESC").val(''); 
					$("#LOCAL_PAYMENT").val(''); 
					$("#PAYMENT_METHOD").val(''); 
					$("#IPG_API_USERNAME").val(''); 
					$("#IPG_API_PASSWORD").val(''); 
					$("#IPG_API_CERTIFICATE_PASSWORD").val(''); 
					
					if ($("#COUNTRY").val()=='pan' || $("#COUNTRY").val()=='mex') {	
							$("#CHECKOUT_MODE option[value='classic']").remove();
						
					}else{
								var optionExists = ($("#CHECKOUT_MODE option[value='classic']").length > 0);
								if(!optionExists)
								{
										$('#CHECKOUT_MODE').append("<option value='classic'>classic</option>");
								}
							
					}
				$('#PLUGIN_DESC').val('');
		
				if ($("#COUNTRY").val()=='mex') {	
					$(".mxInstallInt").show();
				}else{
					$(".mxInstallInt").hide();
				}


				for (i=0;i<installIntIds.length;i++){
						FiservDeleteOneyOption(installIntIds[i]);

				}

				jQuery('#PAYMENT_LOGO').hide();
		   	jQuery('#LBL_PAYMENT_LOGO').hide();
	}

window.addEventListener('load', (event) => {
		if ($("#COUNTRY").val()=='pan' || $("#COUNTRY").val()=='mex') {	
			$("#CHECKOUT_MODE option[value='classic']").remove();
		}else{
		var optionExists = ($("#CHECKOUT_MODE option[value='classic']").length > 0);
		if(!optionExists)
			{
			$('#CHECKOUT_MODE').append("<option value='classic'>classic</option>");
			}
		}
loadLogos('{$PLUGIN_LOGO}');

});

</script>				