<!-- this meta tag is mandatory to avoid encoding problems caused by \PrestaShop\PrestaShop\Core\Payment\PaymentOptionFormDecorator -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<form action="{$link->getModuleLink('Fiserv', 'payment', array(), true)|escape:'html':'UTF-8'}" method="post" style="margin-left: 2.875rem; margin-top: 1.25rem; margin-bottom: 1rem;">
  <input type="hidden" name="payment_type" value="multi">

  {if $ipg_multi_card_mode == 2}
    <p style="margin-bottom: .4rem;">{if $ipg_avail_cards|@count == 1}{l s='Payment Mean' mod='Fiserv'}{else}{l s='Choose your payment mean' mod='Fiserv'}{/if}</p>

    {assign var=first value=true}
    {foreach from=$ipg_avail_cards key="key" item="label"}
      <div style="display: inline-block;">
        {if $ipg_avail_cards|@count == 1}
          <input type="hidden" id="ipg_multi_card_type_{$key|escape:'html':'UTF-8'}" name="card_type" value="{$key|escape:'html':'UTF-8'}" >
        {else}
          <input type="radio" id="ipg_multi_card_type_{$key|escape:'html':'UTF-8'}" name="card_type" value="{$key|escape:'html':'UTF-8'}" style="vertical-align: middle;"{if $first == true} checked="checked"{/if} >
        {/if}

        <label for="ipg_multi_card_type_{$key|escape:'html':'UTF-8'}" style="display: inline;">
          {assign var=img_file value=$smarty.const._PS_MODULE_DIR_|cat:'Fiserv/views/img/':{$key|lower|escape:'html':'UTF-8'}:'.png'}

          {if file_exists($img_file)}
            <img src="{$smarty.const._MODULE_DIR_|escape:'html':'UTF-8'}Fiserv/views/img/{$key|lower|escape:'html':'UTF-8'}.png"
               alt="{$label|escape:'html':'UTF-8'}"
               title="{$label|escape:'html':'UTF-8'}"
               style="vertical-align: middle; margin-right: 10px; height: 25px;">
          {else}
            <span style="vertical-align: middle; margin-right: 10px; height: 25px;">{$label|escape:'html':'UTF-8'}</span>
          {/if}
        </label>

        {assign var=first value=false}
      </div>
    {/foreach}

    <div style="margin-bottom: 15px;"></div>
  {/if}

  <p style="margin-bottom: .4rem;">{if $ins_multi_options|@count == 1}{l s='Payment option' mod='Fiserv'}{else}{l s='Choose your payment option' mod='Fiserv'}{/if}</p>
  {assign var=first value=true}
  {foreach from=$ins_multi_options key="key" item="option"}
    {if {$ins_multi_options|@count} == 1}
      <input type="hidden" name="payment_opt" value="{$key|escape:'html':'UTF-8'}" id="payment_opt_{$key|escape:'html':'UTF-8'}">
    {else}
      <input type="radio" name="payment_opt" value="{$key|escape:'html':'UTF-8'}" id="payment_opt_{$key|escape:'html':'UTF-8'}" {if $first == true} checked="checked"{/if}>
      &nbsp;
    {/if}

    <label for="payment_opt{$key|escape:'html':'UTF-8'}" style="font-weight: bold; display: inline;">{$option.localized_label|escape:'html':'UTF-8'}</label>
    <br />

    {assign var=first value=false}
  {/foreach}
</form>
