{if version_compare($smarty.const._PS_VERSION_, '1.6', '>=')}
<div class="row"><div class="col-xs-12{if version_compare($smarty.const._PS_VERSION_, '1.6.0.11', '<')} col-md-6{/if}">
{/if}
<style>
.left {
float:left;
padding-left:20px;
}

.f15 {
	font-size:15px;
	font-weight:normal;
	line-height:32px !important;
}

input[type="text"],select {
	border: 1px solid #CCC;
	margin-bottom: 15px;
	padding: 3px;
	width:210px;
}

input[type="password"] {
	border: 1px solid #CCC;
	margin-bottom: 15px;
	padding: 3px;
	width:210px;
}

div.payment_module a {
	border: 1px solid #D6D4D4;
	border-radius: 4px;
	font-size: 15px;
	line-height: 23px;
	color: #333;
	font-weight: bold;
	padding: 13px 40px 34px 19px;
	letter-spacing: -1px;
	position: relative;
	width: 100%;
}
</style>



{if $ins == 'yes'}


	<div class="payment_module Fiserv {$ipg_tag|escape:'html':'UTF-8'} multi">
			<div class="definition-list additional-information ">
				<section>
					<dl>
						<dt>
							<label class="col-md-12" ><label>
									{if $language == 'es_ES'}
										{l s='Opciones de pagos a Meses' mod='Fiserv'}
									{else}
										{l s='Installment Payment Options' mod='Fiserv'}

									{/if}
									
							</label>
						</dt>
						<dd>

						<input name="ins_payment_settings" id="ins_payment_settings" value="newcard" required="" type="checkbox" class="ps-shown-by-js">
								
						</dd>
					</dl>
				</section>
			</div>

			
		

			<form action="{$link->getModuleLink('Fiserv', 'payment', array(), true)|escape:'html':'UTF-8'}" method="post" id="payzen_multi">
				<input type="hidden" name="payment_type" value="multi" />
				<input type="hidden" name="payment_opt" value="" id="payment_opt" />
	

				{if  count($ins_multi_options)>0 }	

				<div class="definition-list additional-information "  id="disp_ins_payment" style="display:none">
					<section>
						<dl>
							<dt>
								<label class="col-md-12" >

								{if $language == 'es_ES'}
										{l s='1 Pago' mod='Fiserv'}
								{else}
										{l s='Full Payment' mod='Fiserv'}
								{/if}	
								</label>
							</dt>
							<dd>
								<span class="custom-radio float-xs-left">
									<input type="radio" name="payment_mul" id="full_payment" value="full_payment" checked="checked">
								
								<span></span>
								</span>
							</dd>
						
							<dt>
								<label class="col-md-12" >
								{if $language == 'es_ES'}

									{l s='Pago a meses' mod='Fiserv'}

								{else}
									
									{l s='Installment Payment' mod='Fiserv'}

								{/if}
								</label>
							</dt>
							<dd>

								<span class="custom-radio float-xs-left">
									<input type="radio" name="payment_mul" id="ins_payment" value="ins_payment" >								
								<span></span>
								</span>


							</dd>


							<dt  style="display:none" class="disp_ins" >
								<label class="col-md-12" >

									{if $language == 'es_ES'}
											{l s='Selecciona el número de meses' mod='Fiserv'}
									{else}
											{l s='Choose The Installment' mod='Fiserv'}
									{/if}

								</label>
							</dt>
							<dd  style="display:none"  class="disp_ins">
							{foreach from=$ins_multi_options key="key" item="option"}

								<span class="custom-radio float-xs-left">

									<input type="radio" id="ipg_multi_ins_type_{$key|escape:'html':'UTF-8'}" name="card_type" 
									value="{$option.count|escape:'html':'UTF-8'}##{$option.period|escape:'html':'UTF-8'}##{$key|escape:'html':'UTF-8'}"
									style="vertical-align: middle;"{if $first == true} checked="checked"{/if} >
									
								<span></span>
								</span>
								<label for="ipg_multi_ins_type_{$key|escape:'html':'UTF-8'}">
									<span>{$option.localized_label|escape:'html':'UTF-8'}</span>
								</label>
									
								<input type="hidden" name="installInt{$key|escape:'html':'UTF-8'}"  id="installInt{$key|escape:'html':'UTF-8'}"  value="{$option.installInt|escape:'html':'UTF-8'}"  />

								<br/>
							{/foreach}

							</dd>


						</dl>

					</section>
				</div>
			{/if}


			{if $tokenisation == 'yes' && $checkout_mode != 'combinedpage' && count($storedCardTokens)>0}
			<div class="definition-list additional-information ">
			<section>
				<dl>
					<dt>
						{if $language == 'es_ES'}
								{l s='Pagar Mediante Tarjeta Guardada' mod='Fiserv'}

						{else}
								{l s='Pay Using Saved Cards' mod='Fiserv'}

						{/if}
					</dt>
					<dd>

						<input name="pay_type" id="pay_saved_cards" value="savedcard" required="" type="checkbox" class="ps-shown-by-js">


						{foreach from=$storedCardTokens key="key" item="storedOption"}
							<div class="disp_saved_cards" style="display:none;padding-left:40px"><input type="radio" id="saved_cards_opt{$key|escape:'html':'UTF-8'}" name="saved_cards_opt" value="{$storedOption.token_id}" style="vertical-align: middle;">{ucfirst($storedOption.brand)} {l s=' ending in ' mod='Fiserv' } {substr($storedOption.pseudo_cc_no,-4)}</div>			
						{/foreach}

					</dd>

				</dl>
			<p></p>
			</section>
			</div>
			{/if}

		  	{if $local_payment == 'yes' && count($local_payment_method_options) >0} 

						<div class="definition-list additional-information ">
						<section>
							<dl>
								<dt>
									<label class="col-md-12" >
												<label>
												{if $language == 'es_ES'}
													{l s='Selecciona el Método de pago local /alternativo para el checkout' mod='Fiserv'}
												{else}
													{l s='Use Local / Alternative Payment Method' mod='Fiserv'}
												{/if}
												
												</label>
									</label>
								</dt>
								<dd>
	
								<input name="check_loc_pay" id="check_loc_pay" value="newcard" required="" type="checkbox" class="ps-shown-by-js">

							
								
								</dd>
							
								<dt class="disp_loc_pay" style="display:none">
									<label class="col-md-12" >
												<label>
												{if $language == 'es_ES'}

													{l s='Selecciona tu medio de pago local:' mod='Fiserv'}
												{else}
												
													{l s='Choose Your Local Methods :' mod='Fiserv'}
												{/if}

												</label>
									</label>
								</dt>
								<dd class="disp_loc_pay" style="display:none">
									<select id="locPayCard" name="locPayCard" class="noUniform ">
									{if $language == 'es_ES'}
										<option value="">- Por favor selecciona -</option>
									{else}
										<option value="">- Please Select -</option>

									{/if}
										{foreach from=$local_payment_method_options key="key" item="locPay"}											
											<option value={$key}>{$locPay}</option>									
										{/foreach}
									</select>
								</dd>
							</dl>

						</section>
						</div>

					{/if}
					
					{if $authUX == 'hidden'}

						<div class="definition-list additional-information ">
						<section>
							<dl>
								<dt>
								<label>
								
							
								{if $language == 'es_ES'}

										{l s='Nueva Tarjeta' mod='Fiserv'}
								{else}
								
										{l s='New Card' mod='Fiserv'}
								{/if}
								
								</label>
								
								</dt>
								<dd><input name="pay_type" id="newcard" value="newcard" required="" type="checkbox" value="1" class="ps-shown-by-js"></dd>
							
								{if $card_type =='yes'}

									<dt style="display:none;" class="multi_cc_card" ><label style="padding-right:30px" for="Fiserv_card_function">{l s='Debit/Credit' mod='Fiserv'}</dt>
										<dd style="display:none;" class="multi_cc_card">
											<select  name="Fiserv_card_type" id="Fiserv_card_type" >
											<option value="credit"> {l s='Credit Card' mod='Fiserv'} </option>         
											<option value="debit">{l s='Debit Card'    mod='Fiserv'}</option>                                          
											</select>
										</dd>
									
								{/if}

							</dl>


						</section>
						</div>


							<div class="definition-list additional-information ">
							<section>
								<dl>
									<dt><label for="Fiserv_card_number">
									{if $language == 'es_ES'}
										{l s='Número de tarjeta' mod='Fiserv'}
									{else}
										{l s='Card Number' mod='Fiserv'}
									{/if}
									
									</label></dt>
									<dd>

									{if $language == 'es_ES'}
		<input type="text" name="Fiserv_card_number" value="" autocomplete="off" maxlength="19" id="Fiserv_card_number"  placeholder="{l s='Ingrese Número de tarjeta' mod='Fiserv'}" onkeypress='return isNumberKey(event)'>
									{else}
		<input type="text" name="Fiserv_card_number" value="" autocomplete="off" maxlength="19" id="Fiserv_card_number"  placeholder="{l s='Enter Card Number' mod='Fiserv'}" onkeypress='return isNumberKey(event)'>
									{/if}

									</dd>
									<dt><label for="Fiserv_expiry">
									{if $language == 'es_ES'}
										{l s='Fecha de expiración' mod='Fiserv'}
									{else}
										{l s='Expiry Card' mod='Fiserv'}
									{/if}
									
									
									</label></dt>
									<dd>
									
									<input type="text" name="Fiserv_expiry_month" value="" autocomplete="off" maxlength="2" id="Fiserv_expiry_month" style="width: 35px;" onkeypress='return isNumberKey(event)' placeholder="MM">
									&nbsp;&nbsp;/&nbsp;&nbsp;<input type="text" name="Fiserv_expiry_year" value="" autocomplete="off" maxlength="4" id="Fiserv_expiry_year" style="width: 45px;" onkeypress='return isNumberKey(event)' placeholder="{l s='YYYY' mod='Fiserv'}">

									</dd>

									<dt><label for="Fiserv_cvv">{l s='CVV' mod='Fiserv'}</label></dt>
									<dd>

								{if $language == 'es_ES'}
									<input type="password" name="Fiserv_cvv" value="" autocomplete="off" maxlength="4" id="Fiserv_cvv" style="width: 75px;" onkeypress='return isNumberKey(event)' placeholder="{l s='Ingrese CVV' mod='Fiserv'}">
									{else}
									<input type="password" name="Fiserv_cvv" value="" autocomplete="off" maxlength="4" id="Fiserv_cvv" style="width: 75px;" onkeypress='return isNumberKey(event)' placeholder="{l s='Enter CVV' mod='Fiserv'}">
								{/if}


									</dd>
								</dl>
							</section>
							</div>

							

								  
						
					{/if}
					
					</div>
					

			</form>
	</div>
{/if}

{if $ins == 'no' || $ins == '' || $ins == 'False'}

	<div class="payment_module Fiserv {$ipg_tag|escape:'html':'UTF-8'}">

			<form action="{$link->getModuleLink('Fiserv', 'payment', array(), true)|escape:'html':'UTF-8'}" method="post" id="Fiserv_standard">
			
				<div class="cart_navigation">
				    <input type="hidden" name="payment_type" value="standard" />
					<input type="hidden" name="payment_opt" value="" id="payment_opt" />
					<br />
					
					{if $tokenisation == 'yes' && $checkout_mode != 'combinedpage' && count($storedCardTokens)>0}
						
						
						<div class="definition-list additional-information ">
								<section>
								<dl>
									<dt>

										{if $language == 'es_ES'}
												{l s='Pagar Mediante Tarjeta Guardada' mod='Fiserv'}

										{else}
												{l s='Pay Using Saved Cards' mod='Fiserv'}

										{/if}
									</dd>
									<dd>

										<input name="pay_type" id="pay_saved_cards" value="savedcard" required="" type="checkbox" class="ps-shown-by-js">


										{foreach from=$storedCardTokens key="key" item="storedOption"}
											<div class="disp_saved_cards" style="display:none;padding-left:40px"><input type="radio" id="saved_cards_opt{$key|escape:'html':'UTF-8'}" name="saved_cards_opt" value="{$storedOption.token_id}" style="vertical-align: middle;">{ucfirst($storedOption.brand)} {l s=' ending in ' mod='Fiserv' } {substr($storedOption.pseudo_cc_no,-4)}</div>			
										{/foreach}

									</dd>

								</dl>
								<p></p>
								</section>
						</div>


					{/if}

					{if $local_payment == 'yes' && count($local_payment_method_options) >0} 


					   <div class="definition-list additional-information ">
						<section>
							<dl>
								<dt>
									<label class="col-md-12" >
												<label>
												{if $language == 'es_ES'}
													{l s='Selecciona el Método de pago local /alternativo para el checkout' mod='Fiserv'}
												{else}
													{l s='Use Local / Alternative Payment Method' mod='Fiserv'}
												{/if}
												</label>
									</label>
								</dt>
								<dd>
	
								<input name="check_loc_pay" id="check_loc_pay" value="newcard" required="" type="checkbox" class="ps-shown-by-js">

							
								
								</dd>
							
								<dt class="disp_loc_pay" style="display:none">
									<label class="col-md-12" >
												<label>
												{if $language == 'es_ES'}

													{l s='Selecciona tu medio de pago local:' mod='Fiserv'}
												{else}
												
													{l s='Choose Your Local Methods :' mod='Fiserv'}
												{/if}
												</label>
									</label>
								</dt>
								<dd class="disp_loc_pay" style="display:none">
									<select id="locPayCard" name="locPayCard" class="noUniform ">
									
									{if $language == 'es_ES'}
										<option value="">- Por favor selecciona -</option>
									{else}
										<option value="">- Please Select -</option>

									{/if}

										{foreach from=$local_payment_method_options key="key" item="locPay"}											
											<option value={$key}>{$locPay}</option>									
										{/foreach}
									</select>
								</dd>
							</dl>

						</section>
						</div>
					   
						
					
					{/if}
					
					{if $authUX == 'hidden'}

	
						<div class="definition-list additional-information ">
						<section>
							<dl>
								<dt><label >
								{if $language == 'es_ES'}

										{l s='Nueva Tarjeta' mod='Fiserv'}
								{else}
								
										{l s='New Card' mod='Fiserv'}
								{/if}
								</label></dt>
								<dd><input name="pay_type" id="newcard" value="newcard" required="" type="checkbox" value="1" class="ps-shown-by-js"></dd>
							
								{if $card_type =='yes'}

									<dt style="display:none;" class="multi_cc_card" ><label style="padding-right:30px" for="Fiserv_card_function">{l s='Debit/Credit' mod='Fiserv'}</dt>
										<dd style="display:none;" class="multi_cc_card">
											<select  name="Fiserv_card_type" id="Fiserv_card_type" >
											<option value="credit"> {l s='Credit Card' mod='Fiserv'} </option>         
											<option value="debit">{l s='Debit Card'    mod='Fiserv'}</option>                                          
											</select>
										</dd>
									
								{/if}

							</dl>


						</section>
						</div>
							

						<div style="display:none;" id="multi_cc_card"> 

								<div class="definition-list additional-information ">
								<section>
									<dl>
										<dt><label for="Fiserv_card_number">
										
										
										{if $language == 'es_ES'}
											{l s='Número de tarjeta' mod='Fiserv'}
										{else}
											{l s='Card Number' mod='Fiserv'}
										{/if}
										
										</label></dt>
										<dd>
										
										
										{if $language == 'es_ES'}
		<input type="text" name="Fiserv_card_number" value="" autocomplete="off" maxlength="19" id="Fiserv_card_number"  placeholder="{l s='Ingrese Número de tarjeta' mod='Fiserv'}" onkeypress='return isNumberKey(event)'>
										{else}
		<input type="text" name="Fiserv_card_number" value="" autocomplete="off" maxlength="19" id="Fiserv_card_number"  placeholder="{l s='Enter Card Number' mod='Fiserv'}" onkeypress='return isNumberKey(event)'>
										{/if}

										</dd>
									
										<dt><label for="Fiserv_expiry">
										
										{if $language == 'es_ES'}
											{l s='Fecha de expiración' mod='Fiserv'}
										{else}
											{l s='Expiry Card' mod='Fiserv'}
										{/if}
									
										
										</label></dt>
										<dd>
										
										<input type="text" name="Fiserv_expiry_month" value="" autocomplete="off" maxlength="2" id="Fiserv_expiry_month" style="width: 35px;" onkeypress='return isNumberKey(event)' placeholder="MM">
								&nbsp;&nbsp;/&nbsp;&nbsp;<input type="text" name="Fiserv_expiry_year" value="" autocomplete="off" maxlength="4" id="Fiserv_expiry_year" style="width: 45px;" onkeypress='return isNumberKey(event)' placeholder="{l s='YYYY' mod='Fiserv'}">

										</dd>

										<dt><label for="Fiserv_cvv">{l s='CVV' mod='Fiserv'}</label></dt>
										<dd>
										<input type="password" name="Fiserv_cvv" value="" autocomplete="off" maxlength="4" id="Fiserv_cvv" style="width: 75px;" onkeypress='return isNumberKey(event)' placeholder="{l s='Enter CVV' mod='Fiserv'}">
										</dd>
									</dl>
								</section>
								</div>

						</div>	
					{/if}
					
					
				</div>	  
			</form>
	</div> 
{/if}


{if version_compare($smarty.const._PS_VERSION_, '1.6', '>=')}
</div></div>
{/if}
<script type="text/javascript">
var localConfig = JSON.parse({$local_config|@json_encode nofilter});
</script>